@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@500&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.header{
    display: flex;
    justify-content:space-around;
    align-items: center;
    background-color: #f0f3f1;  
    
}

.offcanvas-body{
    background-color: #057445;
}
.menu{
    display: flex;
}
.hamburguer{
    border: none;
    display: none;
}
.logo{
    width: 200px;
    
}
.item-menu{
    border-right: solid 1px #057445;
    color: #057445;
    font-weight: 300;
    font-size: 16px;
    margin: 2%;
    padding-right: 10px;
    text-decoration: none;
    text-transform: none;
    font-family: 'Montserrat', sans-serif;
}

.menu > a:hover{
    background-color: #057445;
    color: white;
    padding: 5px 5px;
    
    border-radius: 20px;
}

.categorias{
    display: flex;
    align-items: center;
    color: #057445;
}

hr{
    margin: 2%;
    width: 50%;
    background-color: #057445;
    
}
main{
    text-align: center;
}
.banner{
    width: 90%;
    height: 600px;
    border-radius: 20px;
    margin-top: 2%;
}

.servicos, .sobre{
   text-align: justify;
   font-family: 'Montserrat', sans-serif;
   margin: auto 10%;
}
.flores{
    background-position: center;
    background-color: rgba(255, 255, 255, 0.822);
    background:  url("https://img.freepik.com/vetores-gratis/design-plano-de-folhas-e-flores-lineares_23-2149074736.jpg?w=740&t=st=1668179935~exp=1668180535~hmac=c947ac9943a9883dc9b6562b29e4cdff4022ffff7eb17f5bc49703fd342511ae")   
}
.flores-container{
    text-align: justify;
    font-family: 'Montserrat', sans-serif;
    margin: auto 5%;
    border-radius: 20px;
    padding:auto 10%;
    background-color: #ffffffc9;
}
.sub-titulo{
    font-size: 26px;
    color: #057445;
    margin: auto 3%;
    text-align: center;
}

.sobre > h4{
    color: #057445;
}
.card-comentario > hr{
width: 100%;
margin: auto;
color: #0000;
}

.mapa{
    width: 100%;
}
.card-comentario{
    margin:2%;
    background-color: #f0f3f1;
    width: 25%;
    border: 1px solid rgb(216, 216, 216);
    border-radius: 5px;
}

.carrossel{
    width: 100%;
    display: grid;
    grid-auto-flow: column;
    scroll-behavior: auto;
    gap: 1.2rem;
    overflow-y: auto;
    overscroll-behavior-x: contain;
    scroll-snap-type: mandatory;
    scrollbar-width: none;
}

.card{
    text-align: center;
    background-color: #69F1FF;
    border-radius: 20px;
    width: 420px;
    height: 250px;
    margin: 5%;
}

.card-flores{
    text-align: center;
    background-color: #69F1FF;
    border-radius: 20px;
    width: 220px;
    margin: 5%;
}


.vantagens{
    margin: 4%;
    display: flex;
    justify-content: center;
}

.item-vantagem{
    color: #057445;
    border-radius: 5px;
    padding: 1%;
    text-align: center;
    margin: auto 3%;
    background-color: #fdf4f4;
}

.img-vantagem{
    width: 38px;
}

.botao{
    text-decoration: none;
    width: 250px;
    border-radius: 15px;
    display: flex;
    margin: 5% auto;
    padding: 1%;
    justify-content: center;
    color: #ffffff;
    background-color: #057445;
    font-family: 'Montserrat', sans-serif;

}
.container-bt{
    display: flex;
    justify-content: center;
}
.bt-flores{
    padding: 1%;
    margin: 2%;
    border-radius: 20px;
    text-decoration: none;
    color: #ffffff;
    background-color: #D32844;
}

.footer{
    background-color: #057445;
    display: flex;
    align-items:baseline;
    padding: 2%;
    justify-content: space-around;
    color: white;

}
.footer-col{
margin: auto 5%;
}
.footer-col > a{
    text-decoration: none;
    display: inline-block;
    color: white;
}
.title-footer{
    color: white;
    text-transform: uppercase;
    font-weight: bold;
    font-family: 'Montserrat', sans-serif;
}

.menu-mobile{
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.mobile-item{
    text-decoration: none;
    color: #F0F3F1;
    margin: 2%;
    border-bottom: solid rgb(34, 99, 50);
}

@media (max-width: 576px) {
    
    .footer{
        display: flex;
        flex-direction: column;
    }

    .header{
        z-index: 1;
        width: 100%;
        position: fixed;
    }
    .banner{
        margin-top: 18%;
        width: 100%;
        border-radius: 0%;
        height: auto;
    }

    .servico-categoria{
       margin-top: 5%;
    }
    

    .vantagens{
        display: flex;
        flex-direction: column;
    }

    .hamburguer{
        display: block;
        
    }
    
    .item-menu{
        display: none;
        padding: 3%;
        color: #057445;
        font-weight: 700;
        font-family: 'Montserrat', sans-serif;
    }
}

@media (max-width: 976px) {
   
 }